<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__tpsc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_tpsc_t</compoundname>
    <includes local="no">cy_ble_tps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__tpsc__t_1a0e547735b02fca9be73e3b072e452038" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_tpsc_t::txPowerLevelChar</definition>
        <argsstring />
        <name>txPowerLevelChar</name>
        <briefdescription>
<para>Tx Power Level Characteristic handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="95" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="95" />
      </memberdef>
      <memberdef id="structcy__stc__ble__tpsc__t_1a17c98c85b222a16105f7bbfa50fa7455" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_tpsc_t::txPowerLevelCccdHandle</definition>
        <argsstring />
        <name>txPowerLevelCccdHandle</name>
        <briefdescription>
<para>Tx Power Level Client Characteristic Configuration Descriptor handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="98" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of Tx Power Service. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1269">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="1268">
        <label>cy_stc_ble_tpsc_t</label>
        <link refid="structcy__stc__ble__tpsc__t" />
        <childnode refid="1269" relation="usage">
          <edgelabel>txPowerLevelChar</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="99" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" bodystart="92" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_tps.h" line="93" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__tpsc__t_1a17c98c85b222a16105f7bbfa50fa7455" virt="non-virtual"><scope>cy_stc_ble_tpsc_t</scope><name>txPowerLevelCccdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__tpsc__t_1a0e547735b02fca9be73e3b072e452038" virt="non-virtual"><scope>cy_stc_ble_tpsc_t</scope><name>txPowerLevelChar</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>